- Qt 5.15
- Qt Wayland Compositor
- C++ Classes
- QWaylandXdgShellV6
- Qt 5.15.18 Reference Documentation

# QWaylandXdgShellV6 Class

The QWaylandXdgShellV6 class is an extension for desktop-style user interfaces. More...

Header: | #include <QWaylandXdgShellV6>
qmake: | QT += waylandcompositor
Since: | Qt 5.10
Inherits: | QWaylandShellTemplate

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.10.

- List of all members, including inherited members

## Public Functions

| QWaylandXdgShellV6(QWaylandCompositor *compositor)
| QWaylandXdgShellV6()

## Reimplemented Public Functions

virtual void | initialize() override

## Public Slots

uint | ping(QWaylandClient *client)

## Signals

void | pong(uint serial)
void | popupCreated(QWaylandXdgPopupV6 *popup, QWaylandXdgSurfaceV6 *xdgSurface)
void | toplevelCreated(QWaylandXdgToplevelV6 *toplevel, QWaylandXdgSurfaceV6 *xdgSurface)
void | xdgSurfaceCreated(QWaylandXdgSurfaceV6 *xdgSurface)

## Static Public Members

const struct wl_interface * | interface()

## Detailed Description

The QWaylandXdgShellV6 extension provides a way to associate a QWaylandXdgToplevelV6 or QWaylandXdgPopupV6 with a regular Wayland surface. Using the QWaylandXdgToplevelV6 interface, the client can request that the surface is resized, moved, and so on.

QWaylandXdgShellV6 corresponds to the Wayland interface, `zxdg_shell_v6`.

## Member Function Documentation

### QWaylandXdgShellV6::QWaylandXdgShellV6(QWaylandCompositor *compositor)

Constructs a QWaylandXdgShellV6 object for the provided compositor.

### QWaylandXdgShellV6::QWaylandXdgShellV6()

Constructs a QWaylandXdgShellV6 object.

### `[slot]` uint QWaylandXdgShellV6::ping(QWaylandClient *client)

Sends a ping event to client. If the client replies to the event the pong signal will be emitted.

### `[signal]` void QWaylandXdgShellV6::pong(uint serial)

This signal is emitted when the client has responded to a ping event with serial, serial.

See also QWaylandXdgShellV6::ping().

### `[signal]` void QWaylandXdgShellV6::popupCreated(QWaylandXdgPopupV6 *popup, QWaylandXdgSurfaceV6 *xdgSurface)

This signal is emitted when the client has created a `zxdg_popup_v6`. A common use case is to let the handler of this signal instantiate a QWaylandShellSurfaceItem or QWaylandQuickItem for displaying popup in a QtQuick scene.

xdgSurface is the XdgSurfaceV6 popup is the role object for.

### `[signal]` void QWaylandXdgShellV6::toplevelCreated(QWaylandXdgToplevelV6 *toplevel, QWaylandXdgSurfaceV6 *xdgSurface)

This signal is emitted when the client has created a `zxdg_toplevel_v6`. A common use case is to let the handler of this signal instantiate a QWaylandShellSurfaceItem or QWaylandQuickItem for displaying toplevel in a QtQuick scene.

xdgSurface is the XdgSurfaceV6 toplevel is the role object for.

### `[signal]` void QWaylandXdgShellV6::xdgSurfaceCreated(QWaylandXdgSurfaceV6 *xdgSurface)

This signal is emitted when the client has created a `zxdg_surface_v6`. Note that xdgSurface is not mapped, i.e. according to the `xdg-shell` protocol it should not be displayed, until it has received a role object.

See also toplevelCreated() and popupCreated().

### `[override virtual]` void QWaylandXdgShellV6::initialize()

Initializes the shell extension.

### `[static]` const struct wl_interface *QWaylandXdgShellV6::interface()

Returns the Wayland interface for the QWaylandXdgShellV6.